Get Predictions
post
/recommend/predict
Creates a prediction for an account using the specified algorithm.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Match All
Specifies the input parameters for the request.
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
type
Specifies the input parameters for the request.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : type
Type:
objectSpecifies the input parameters for the request.
Show Source
-
account_id: string
Minimum Length:
1Specifies the customer account ID. -
algorithms(required): array
algorithms
Minimum Number of Items:
1Unique Items Required:trueLists the algorithms to use for the prediction service: knn, dnn, or cosine. -
msisdn: string
Minimum Length:
1Specifies the customer's MSISDN.
Match One Schema
Show Source
Nested Schema : algorithms
Type:
arrayMinimum Number of Items:
1Unique Items Required:
trueLists the algorithms to use for the prediction service: knn, dnn, or cosine.
Show Source
-
Array of:
string
Allowed Values:
[ "knn", "dnn", "cosine" ]
Examples
Back to Top
Response
200 Response
The request was completed successfully.
Root Schema : RecommendResponse
Match All
Returns the result output.
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
RecommendResponse-allOf[1]
Returns the result output.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : RecommendResponse-allOf[1]
Type:
objectReturns the result output.
Show Source
-
recommendations(required): array
recommendations
Recommendations returned by each algorithm.
-
status(required): string
Indicates the current status of the service.
Nested Schema : RecommendationDetails
Match All
Provides the details for a recommendation.
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
RecommendationDetails-allOf[1]
Provides the details for a recommendation.
Nested Schema : RecommendationDetails-allOf[1]
Type:
objectProvides the details for a recommendation.
Show Source
-
account_id(required): string
Specifies the user account ID.
-
algorithm(required): string
Allowed Values:
[ "knn", "dnn", "cosine" ]Specifies the algorithm used to generate the recommendation. -
present_deal(required): string
Specifies the current deal to which the user is subscribed.
-
top_results(required): array
top_results
Lists the recommendation results.
Nested Schema : PredictDetails
Match All
Lists the predicted outcomes.
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
PredictDetails-allOf[1]
Lists the predicted outcomes.
Nested Schema : PredictDetails-allOf[1]
Type:
objectLists the predicted outcomes.
Show Source
-
prediction(required): string
Returns the next best offer.
-
probability_or_distance(required): number
Indicates the confidence score or distance for the recommendation.
Examples
400 Response
The request could not be processed because it contains missing or invalid information.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
401 Response
The request is not authorized.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
403 Response
The user does not have authorization to perform this request.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
404 Response
The requested resource cannot be found.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
405 Response
The method is not allowed.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
409 Response
The request could not be processed due to a conflict with the existing state of the resource.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
500 Response
The system has encountered an internal server error.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
501 Response
The request was not implemented.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
503 Response
The service is unavailable.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
Examples
This example shows the cURL command for sending a Create a Prediction request:
curl -H "Content-Type: application/json" -H "Authorization: Bearer YOUR_TOKEN" -H "Accept: application/json" -X POST -d @file.json 'http://hostname:port/recommend/predict'
where:
-
your_token is your client application's OAuth 2.0 access token.
- file.json is the JSON file that specifies the details of the data to collect.
-
hostname is the host name for the application server.
-
port is the port for the application server.
Example of Request Body
Following is a sample request body.
{
"@type": "RecommendRequest",
"account_id": "2824533",
"algorithms": [
"knn",
"dnn"
]
}
Example of Response Body
If successful, the response code 200 is returned with a response body. For example:
{
"@type": "RecommendResponse",
"status": "Success",
"recommendations": [
{
"@type": "RecommendationDetails",
"algorithm": "knn",
"account_id": "2824533",
"present_deal": "Deal 10 - Data Storm",
"top_results": [
{
"@type": "PredictDetails",
"prediction": "Deal 12 - Data Mini",
"probability_or_distance": 0.0
},
{
"@type": "PredictDetails",
"prediction": "Deal 4 - SMS Special",
"probability_or_distance": 0.0
},
{
"@type": "PredictDetails",
"prediction": "Deal 3 - CO for Voice 40",
"probability_or_distance": 0.0
}
]
},
{
"@type": "RecommendationDetails",
"algorithm": "dnn",
"account_id": "2824533",
"present_deal": "Deal 10 - Data Storm",
"top_results": [
{
"@type": "PredictDetails",
"prediction": "Deal 1 - Data 30",
"probability_or_distance": 0.11470177
},
{
"@type": "PredictDetails",
"prediction": "Deal 11 - Data Blaze",
"probability_or_distance": 0.11470167
},
{
"@type": "PredictDetails",
"prediction": "Deal 10 - Data Storm",
"probability_or_distance": 0.11470162
}
]
}
]
}